Package org.apache.struts2.ognl.accessor

# Class XWorkListPropertyAccessor

java.lang.Object
ognl.ObjectPropertyAccessor
ognl.ListPropertyAccessor
org.apache.struts2.ognl.accessor.XWorkListPropertyAccessor

All Implemented Interfaces:
  `ognl.PropertyAccessor`

public class XWorkListPropertyAccessor extends ognl.ListPropertyAccessor
Overrides the list property accessor so in the case of trying to add properties of a given bean and the JavaBean is not present, this class will create the necessary blank JavaBeans.

Author:
  Gabriel Zimmerman

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XWorkListPropertyAccessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getProperty(Map context, Object target, Object name)`
  `void`
  `setAutoGrowCollectionLimit(String value)`
  `void`
  `setObjectFactory(ObjectFactory fac)`
  `void`
  `setObjectTypeDeterminer(ObjectTypeDeterminer ot)`
  `void`
  `setOgnlUtil(OgnlUtil util)`
  `void`
  `setProperty(Map context, Object target, Object name, Object value)`
  `void`
  `setXWorkCollectionPropertyAccessor(ognl.PropertyAccessor acc)`
  `void`
  `setXWorkConverter(XWorkConverter conv)`

  ### Methods inherited from class ognl.ListPropertyAccessor

  `getPropertyClass, getSourceAccessor, getSourceSetter`

  ### Methods inherited from class ognl.ObjectPropertyAccessor

  `getPossibleProperty, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XWorkListPropertyAccessor

    public XWorkListPropertyAccessor()

- ## Method Details

  - ### setAutoGrowCollectionLimit

    public void setAutoGrowCollectionLimit(String value)

  - ### setXWorkCollectionPropertyAccessor

    public void setXWorkCollectionPropertyAccessor(ognl.PropertyAccessor acc)

  - ### setXWorkConverter

    public void setXWorkConverter(XWorkConverter conv)

  - ### setObjectFactory

    public void setObjectFactory(ObjectFactory fac)

  - ### setObjectTypeDeterminer

    public void setObjectTypeDeterminer(ObjectTypeDeterminer ot)

  - ### setOgnlUtil

    public void setOgnlUtil(OgnlUtil util)

  - ### getProperty

    public Object getProperty(Map context, Object target, Object name) throws ognl.OgnlException
    Specified by:
      `getProperty` in interface `ognl.PropertyAccessor`
    Overrides:
      `getProperty` in class `ognl.ListPropertyAccessor`
    Throws:
      `ognl.OgnlException`

  - ### setProperty

    public void setProperty(Map context, Object target, Object name, Object value) throws ognl.OgnlException
    Specified by:
      `setProperty` in interface `ognl.PropertyAccessor`
    Overrides:
      `setProperty` in class `ognl.ListPropertyAccessor`
    Throws:
      `ognl.OgnlException`